Page MenuHomePhabricator

[NFC] Cleanup: Replaces BB->getInstList().splice() with BB->splice().
ClosedPublic

Authored by vporpo on Nov 29 2022, 9:12 PM.

Details

Summary

This is part of a series of cleanup patches towards making BasicBlock::getInstList() private.

Diff Detail

Event Timeline

vporpo created this revision.Nov 29 2022, 9:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 29 2022, 9:12 PM
vporpo requested review of this revision.Nov 29 2022, 9:12 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptNov 29 2022, 9:12 PM
aeubanks accepted this revision.Nov 30 2022, 11:20 AM
This revision is now accepted and ready to land.Nov 30 2022, 11:20 AM
This revision was landed with ongoing or failed builds.Dec 1 2022, 3:39 PM
This revision was automatically updated to reflect the committed changes.